# ansible-role-debianunattended

Create a Debian ISO for unattended installation

Variables:
* debianunattended_debian_installer_language: de
* debianunattended_debian_installer_country: DE
* debianunattended_debian_installer_locale: de_DE.UTF-8
* debianunattended_keyboard_configuration_xkb_keymap: de
* debianunattended_hostname: "{{ debianunattended_hostname | default('debianunattended') }}"
* debianunattended_user_fullname: username
* debianunattended_username: username
* debianunattended_user_crypt_password: passwordhash
* debianunattended_time_zone: EU/Berlin
* debianunattended_additional_packages: git nano wget bash-completion curl socat multitail python-apt-common software-properties-common
* debianunattended_proxystring: http://hostname:port
* debianunattended_mirror: ftp.de.debian.org
* debianunattended_ntpserver: ntp.domain.tld
* debianunattended_partmanauto_method: regular
* debianunattended_partman-auto_method: raid
* debianunattended_partman_disk1: vda
* debianunattended_partman_disk2: vdb
* debianunattended_partman-auto_disk: /dev/{{ debianunattended_partman_disk1 }} /dev/{{ debianunattended_partman_disk2 }}
* debianunattended_partman-auto_expert_recipe | default('')
* debianunattended_partman-auto-raid_recipe | default('')

```
RAID1-Example on 2 disks:
debianunattended_partman_auto_method: raid
debianunattended_raid_disk1: vda
debianunattended_raid_disk2: vdb
debianunattended_partman_auto_disk: /dev/{{ debianunattended_raid_disk1 }} /dev/{{ debianunattended_raid_disk2 }}
debianunattended_partman_auto_expert_recipe: |
  d-i partman-auto/expert_recipe string \
    multiraid :: \
      8192 8192 8192 raid $primary{ } $bootable{ } method{ raid } . \
      8192 8192 -1 raid method{ raid } . \
      8192 8192 8192 raid method{ raid } .

debianunattended_partman_auto_raid_recipe: |
  d-i partman-auto-raid/recipe string \
    1 2 0 ext3 /boot /dev/{{ debianunattended_raid_disk1 }}1#/dev/{{ debianunattended_raid_disk2 }}1 . \
    1 2 0 ext3 / /dev/{{ debianunattended_raid_disk1 }}5#/dev/{{ debianunattended_raid_disk2 }}5 . \
    1 2 0 swap - /dev/{{ debianunattended_raid_disk1 }}6#/dev/{{ debianunattended_raid_disk2 }}6 .

```
#backup-ip-address for environment without dhcp
* debianunattended_staticip_ipaddress: 192.168.1.42
* debianunattended_staticip_netmask: 255.255.255.0
* debianunattended_staticip_gateway: 192.168.1.1
* debianunattended_staticip_nameservers: 192.168.1.1
* debianunattended_mirror: ftp.de.debian.org

Many Thanks to
* https://www.librebyte.net/en/systems-deployment/unattended-debian-installation
* https://www.bishnet.net/tim/blog/2015/01/29/understanding-partman-autoexpert_recipe